HAPROXY_LOG_ANALYSIS(1)

NAME
haproxy_log_analysis - generate aggregate statistics from HAProxy HTTP logs

DESCRIPTION
usage: haproxy_log_analysis [-h] [-l LOG] [-s START] [-d DELTA] [-c COMMAND]

[-f FILTER] [-n] [--list-commands]
    [--list-filters] [--json] [--invalid]

Analyze HAProxy log files and outputs statistics about it

  options:

-h, --help
    show this help message and exit

-l, --log LOG
    HAProxy log file to analyze

-s, --start START
    Process log entries starting at this time, in HAProxy date format (e.g. 11/Dec/2013 or 11/Dec/2013:19:31:41). At least provide the day/month/year. Values not specified will use their base value (e.g. 00 for hour). Use in conjunction with -d to limit the number of entries to process.

-d, --delta DELTA
    Limit the number of entries to process. Express the time delta as a number and a time unit, e.g.: 1s, 10m, 3h or 4d (for 1 second, 10 minutes, 3 hours or 4 days). Use in conjunction with -s to only analyze certain time delta. If no start time is given, the time on the first line will be used instead.

-c, --command COMMAND
    List of commands, comma separated, to run on the log file. See --list-commands to get a full list of them.

-f, --filter FILTER
    List of filters to apply on the log file. Passed as comma separated and parameters within square brackets, e.g ip[192.168.1.1],ssl,path[/some/path]. See --listfilters to get a full list of them.

-n, --negate-filter
    Make filters passed with -f work the other way around, i.e. if the ``ssl`` filter is passed instead of showing only ssl requests it will show non-ssl traffic. If the ``ip`` filter is used, then all but that ip passed to the filter will be used.

--list-commands
    Lists all commands available.

--list-filters
    Lists all filters available.

--json
    Output results in json.

--invalid
    Print the lines that could not be parsed. Be aware that mixing it with the print command will mix their output.